%define _name libnotify
%define ver_major 0.7
%define api_ver 4
%def_enable introspection

Name: %{_name}%api_ver
Version: %ver_major.2
Release: alt2

Summary: Desktop notification library
License: LGPLv2.1+
Group: Graphical desktop/GNOME
URL: http://www.galago-project.org
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

BuildRequires: gtk-doc libgio-devel libgtk+3-devel xmlto
%{?_enable_introspection:BuildRequires: gobject-introspection-devel libgdk-pixbuf-gir-devel}

%description
The library that allows applications post notifications on the desktop
in accordance to the proposed Desktop Notification Specification.

%package devel
Summary: Development files for %name
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Obsoletes: %_name-devel
Provides: %_name-devel = %version-%release

%description devel
Files needed to develop applications that use libnotify, a desktop
notification library.

%package devel-doc
Summary: Development documentation for %name
Group: Development/GNOME and GTK+
BuildArch: noarch

%description devel-doc
API documentation for %name in gtk-doc format

%package gir
Summary: GObject introspection data for libnotify
Group: System/Libraries
Requires: %name = %version-%release

%description gir
GObject introspection data for the desktop notification library

%package gir-devel
Summary: GObject introspection devel data for libnotify
Group: System/Libraries
BuildArch: noarch
Requires: %name-gir = %version-%release

%description gir-devel
GObject introspection devel data for the desktop notification library

%package -n notify-send
Summary: A program to send desktop notifications
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n notify-send
notify-send sends desktop notifications via a notification daemon from
the command line.

%prep
%setup -q -n %_name-%version
rm -f libnotify/*.gir

%build
%configure \
	--disable-gtk-doc \
	--disable-static \
	%{subst_enable introspection} \
	--program-suffix=%api_ver

%make_build

%check
%make check

%install
%make DESTDIR=%buildroot install

%files
%_libdir/*.so.*

%files -n notify-send
%_bindir/notify-send%api_ver

%files devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%files devel-doc
%_datadir/gtk-doc/html/*

%if_enabled introspection
%files gir
%_libdir/girepository-1.0/*

%files gir-devel
%_datadir/gir-1.0/*
%endif


%changelog
* Wed Mar 30 2011 Yuri N. Sedunov <aris@altlinux.org> 0.7.2-alt2
- notify-send moved to separate subpackage

* Tue Mar 22 2011 Yuri N. Sedunov <aris@altlinux.org> 0.7.2-alt1
- 0.7.2

* Fri Mar 18 2011 Yuri N. Sedunov <aris@altlinux.org> 0.7.1-alt1
- first build for Sisyphus

